<script setup lang="ts">
import { Label as ShadcnLabel } from '@/components/core/label';
import { type UiLabelProps } from './types';

defineOptions({
  name: 'UiLabel',
});

const props = defineProps<UiLabelProps>();
</script>

<template>
  <ShadcnLabel :for="props.for">
    <slot />
  </ShadcnLabel>
</template>
